<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: articles.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";


$items_per_page = 20;

$rows = dbcount("(comment_id)", DB_COMMENTS);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {

$result = dbquery("SELECT user_avatar, user_imie, user_nazwisko, c.*, IFNULL(u.user_name, c.comment_name) as user_name FROM ".DB_COMMENTS." c LEFT JOIN ".DB_USERS." u ON (c.comment_name = u.user_id) ORDER BY c.comment_id DESC LIMIT ".$_GET['rowstart'].",".$items_per_page."");

if (dbrows($result) != 0) {
while($data = dbarray($result)) {

switch ($data['comment_type']) {
case 'A': $typ='readarticle.php?article_id';
$kom= "artyku";
$nazwa='';
break;
case 'N':$typ='news.php?readmore' ;
$kom= "news'a";
$nazwa='';
break;
case 'P':$typ='photogallery.php?photo_id' ;
$kom= "zdjcie";
$nazwa='';
break;
case 'U':$typ='userphotogallery.php?photo_id' ;
$kom= "zdjcie";
$nazwa='';
break;
case 'C':$typ='viewpage.php?page_id' ;
$kom= "dodatkow stron";
$nazwa='';
break;
}
echo "<table cellpadding='0' cellspacing='2' width='100%' border='0'><tr>";
if (isNum($data['comment_name'])) { // Jesli liczba - user, w przeciwnym wypadku - gosc
if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']))  {
echo "<td width='40px' valign='top'>
<a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."' class='nick'><img src='".IMAGES."avatars/".$data['user_avatar']."' border='0' height='40' width='40' align='left' alt='' /></a></td>";
} else {
echo "<td width='40px' valign='top'>
<a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."' class='nick'><img src='".IMAGES."noav.gif' border='0' height='40' width='40' align='left' alt='' /></a></td>";
}

} else {
echo "<td><span class='gosc'>".$data['user_name']."</span></td>";
}

echo "<td valign='top' style='border-top:1px solid #999999;'><span class='data' style='font-size:10px;'>".showdate("longdate",$data['comment_datestamp'])." | <a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."' class='nick'>".$data['user_imie']." ".$data['user_nazwisko']."</a> skomentowa <strong><a href='".BASEDIR.$typ."=".$data['comment_item_id']."' title='".$data['comment_message']."'>".$kom."</a>:</strong></span><br /><span style='color:#333333;'>";

echo strip_tags(parseubb($data['comment_message']));
echo"</span></td>";

}
echo "</tr></table>";
}

if ($rows > $items_per_page) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$items_per_page,$rows,3)."\n</div>\n";

}

require_once THEMES."templates/footer.php";
?>
